Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceGeographicCode

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<VoiceGeographicCode>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<VoiceGeographicCode>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceGeographicCode

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceGeographicCode>`, `TreeNode<VoiceGeographicCode>`

public class VoiceGeographicCode extends VoiceBaseCodeBean<VoiceGeographicCode>
Модель географического кода, представляющего собой код и направление, с привязкой к определенному оператору.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceGeographicCode()`
  `VoiceGeographicCode(int id, String title)`
  КОнструктор, который устанавливает поле title (НЕ code!!!)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(VoiceGeographicCode child)`
  Добавление дочернего элемента для данного географического кода при построении дерева кодов.
  `void`
  `copyTo(VoiceGeographicCode copy)`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getOperatorId()`
  `VoiceGeographicCode`
  `setCode(String code)`
  `VoiceGeographicCode`
  `setDateFrom(Date dateFrom)`
  Установка даты начала действия географического кода.
  `VoiceGeographicCode`
  `setDateTo(Date dateTo)`
  Установка даты начала действия географического кода.
  `VoiceGeographicCode`
  `setDestinationId(int destinationId)`
  `VoiceGeographicCode`
  `setId(int id)`
  Устанавливает id объекта
  `VoiceGeographicCode`
  `setOperatorId(int operatorId)`
  `org.json.JSONObject`
  `toJson()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean

  `clone, getCode, getDateFrom, getDateTo, getDestinationId, getDestinationTitle, getLevel, setDestinationTitle, setLevel`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setAsNoSelect, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceGeographicCode

    public VoiceGeographicCode()

  - ### VoiceGeographicCode

    public VoiceGeographicCode(int id, String title)
    КОнструктор, который устанавливает поле title (НЕ code!!!) Нужно в клиенте для выпадающего списка
    Parameters:
      `id` - код геокода
      `title` - название.

- ## Method Details

  - ### addChild

    public void addChild(VoiceGeographicCode child)
    Добавление дочернего элемента для данного географического кода при построении дерева кодов. Например, если текущий географический код имеет код "734" (Башкортостан), то дочерним для него будет являться код "7347" (Уфа) или "73473" (Стерлитамак).
    Parameters:
      `child` - дочерний географический код.

  - ### copyTo

    public void copyTo(VoiceGeographicCode copy)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.

  - ### getOperatorId

    public int getOperatorId()

  - ### setCode

    public VoiceGeographicCode setCode(String code)
    Overrides:
      `setCode` in class `VoiceBaseCodeBean<VoiceGeographicCode>`

  - ### setDestinationId

    public VoiceGeographicCode setDestinationId(int destinationId)
    Overrides:
      `setDestinationId` in class `VoiceBaseCodeBean<VoiceGeographicCode>`

  - ### setDateFrom

    public VoiceGeographicCode setDateFrom(Date dateFrom)
    Description copied from class: `VoiceBaseCodeBean`
    Установка даты начала действия географического кода.
    Overrides:
      `setDateFrom` in class `VoiceBaseCodeBean<VoiceGeographicCode>`
    Parameters:
      `dateFrom` - дата начала

  - ### setDateTo

    public VoiceGeographicCode setDateTo(Date dateTo)
    Description copied from class: `VoiceBaseCodeBean`
    Установка даты начала действия географического кода.
    Overrides:
      `setDateTo` in class `VoiceBaseCodeBean<VoiceGeographicCode>`
    Parameters:
      `dateTo` - дата окончания.

  - ### setId

    public VoiceGeographicCode setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setOperatorId

    public VoiceGeographicCode setOperatorId(int operatorId)

  - ### toJson

    public org.json.JSONObject toJson()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`